List Conversations
curl --request GET \
--url https://tavusapi.com/v2/conversations \
--header 'x-api-key: <api-key>'import requests
url = "https://tavusapi.com/v2/conversations"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://tavusapi.com/v2/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"conversation_id": "c123456",
"conversation_name": "A Meeting with Hassaan",
"status": "active",
"conversation_url": "https://tavus.daily.co/c123456",
"callback_url": "https://yourwebsite.com/webhook",
"face_id": "r90bbd427f71",
"pal_id": "pcb7a34da5fe",
"created_at": "",
"updated_at": "<string>"
}
],
"total_count": 123
}{
"message": "Invalid access token"
}Conversation
List Conversations
This endpoint returns a list of all Conversations created by the account associated with the API Key in use.
GET
/
v2
/
conversations
List Conversations
For AI agents, use
https://docs.tavus.io/openapi.yaml for the full HTTP API contract.Authorizations
Query Parameters
The number of conversations to return per page. Default is 10.
The page number to return. Default is 1.
Filter the conversations by status. Possible values: active, ended.
⌘I

